package cn.com.qmth.stmms.biz.exam.query;

import java.util.HashSet;
import java.util.Set;

import cn.com.qmth.stmms.biz.common.BaseQuery;
import cn.com.qmth.stmms.biz.exam.model.Exam;
import cn.com.qmth.stmms.common.enums.ExamStatus;

public class ExamSearchQuery extends BaseQuery<Exam> {

    private String name;

    private Integer creatorId;

    private Integer schoolId;

    private Set<ExamStatus> statusSet;

    private Set<Integer> ids;

    private Boolean orderByCreateTimeDesc;

    private Boolean orderByIdDesc;

    public Integer getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(Integer creatorId) {
        this.creatorId = creatorId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Set<ExamStatus> getStatusSet() {
        return statusSet;
    }

    public void addStatus(ExamStatus status) {
        if (statusSet == null) {
            statusSet = new HashSet<ExamStatus>();
        }
        if (status != null) {
            statusSet.add(status);
        }
    }

    public Set<Integer> getIds() {
        return ids;
    }

    public void addId(Integer id) {
        if (ids == null) {
            ids = new HashSet<Integer>();
        }
        if (id != null) {
            ids.add(id);
        }
    }

    public Boolean getOrderByCreateTimeDesc() {
        return orderByCreateTimeDesc;
    }

    public void setOrderByCreateTimeDesc(Boolean orderByCreateTimeDesc) {
        this.orderByCreateTimeDesc = orderByCreateTimeDesc;
    }

    public Integer getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Integer schoolId) {
        this.schoolId = schoolId;
    }

    public Boolean getOrderByIdDesc() {
        return orderByIdDesc;
    }

    public void setOrderByIdDesc(Boolean orderByIdDesc) {
        this.orderByIdDesc = orderByIdDesc;
    }

}
